using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace D3DContainer
{
    public partial class Form1 : Form
    {
        D3DWrap m_D3DWrap;

        public Form1()
        {
            InitializeComponent();
            m_D3DWrap = new D3DWrap();
            m_D3DWrap.Initialize(panel1.Handle.ToInt32());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }
        
        public void Application_Idle(object sender, EventArgs e)
        {
            while (AppStillIdle)
                m_D3DWrap.ProcessFrame();
        }

        public bool AppStillIdle
        {
            get
            {
                NativeMethods.PeekMsg msg;
                return !NativeMethods.PeekMessage(out msg, IntPtr.Zero, 0, 0, 0);
            }
        }

        #region NativeMethods Class
        internal class NativeMethods
        {
            private NativeMethods() { }

            [StructLayout(LayoutKind.Sequential)]
            public struct PeekMsg
            {
                public IntPtr hWnd;
                public Message msg;
                public IntPtr wParam;
                public IntPtr lParam;
                public uint time;
                public System.Drawing.Point p;
            }

            [System.Security.SuppressUnmanagedCodeSecurity] // This prevents run-time security checks, so DON'T LEAVE THIS SOMEWHERE INSECURE
            [DllImport("User32.dll", CharSet = CharSet.Auto)]
            public static extern bool PeekMessage(out PeekMsg msg, IntPtr hWnd, uint messageFilterMin, uint messageFilterMax, uint flags);
        }
        #endregion

        private void Form1_ResizeEnd(object sender, EventArgs e)
        {
            m_D3DWrap.Resize();
        }

        //HWND m_PanelHWND;
    }
}