#pragma once

#include "D3DManager.h"

struct ID3DXFont;

class CLASS_DECLSPEC CD3DTestRender : public CD3DManager
{
public:
	CD3DTestRender();
	~CD3DTestRender();

protected:
	HRESULT OnInit();
	HRESULT OnShutdown();

	HRESULT OnMsg(HWND hWnd, UINT message,WPARAM wparam, LPARAM lparam);

	HRESULT OnUpdate(double dTime, double dElapsedTime);
	HRESULT OnRender(LPDIRECT3DDEVICE9 pd3dDevice);

	HRESULT OnInitDeviceObjects(LPDIRECT3DDEVICE9 pd3dDevice);
	HRESULT OnRestoreDeviceObjects();
	HRESULT OnInvalidateDeviceObjects();
	HRESULT OnDeleteDeviceObjects();

	ID3DXFont* m_pFont;
	LPDIRECT3DDEVICE9 m_pd3dDevice;
	double m_Time;
	double m_FPS;

	DWORD m_dwMouseButtonStates;
	int m_iMouseX;
	int m_iMouseY;
};