//--------------------------------------------------------------------------------------
// File: DxStdAfx.cpp
//
// Desc: Precompiled headers for DXUT and DirectX SDK samples
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//--------------------------------------------------------------------------------------
#include "dxstdafx.h"

_TCHAR * GetError(HRESULT hr)
{
	static _TCHAR buffer[2048];

	_tcscpy(buffer,DXGetErrorString9(hr));

	return buffer;
}

void dxtrace( _TCHAR * fmtStr, ...)
{
	int ret;
	/*static*/  _TCHAR buffer[2048];

	va_list marker;
	va_start( marker,fmtStr);
	ret=_vstprintf( buffer,fmtStr,marker);
	va_end(marker);

	OutputDebugString(buffer);
}

