// This is the main DLL file.

#include "D3DWrap.h"
#include "D3DTestRender.h"

D3DWrap::D3DWrap()
{
	m_pRenderer = new CD3DTestRender;
}

D3DWrap::~D3DWrap()
{
	delete m_pRenderer;
}

HRESULT  D3DWrap::Initialize(int hWnd)
{
	return m_pRenderer->Initialize((HWND)hWnd,TRUE,TRUE);
	//return S_OK;
}

HRESULT  D3DWrap::Shutdown()
{
	return m_pRenderer->Shutdown();
	//return S_OK;
}

HRESULT  D3DWrap::ProcessFrame()
{
	return m_pRenderer->ProcessFrame();
	//return S_OK;
}

HRESULT  D3DWrap::Resize()
{
	return m_pRenderer->Resize();
	//return S_OK;
}
